Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035409
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2017-03-02 13:542017-03-15 20:21
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revisione6809c9c722b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035409: add support to expose pool info as jmx bean

DescriptionTomcat jdbc pool supports exposing its information as a jmx bean [1]. This can be useful for monitoring purposes as well as it allows to change some of the configuration parameters live without restarting Tomcat.

[1] https://tomcat.apache.org/tomcat-7.0-doc/jdbc-pool.html#JMX [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files? file icon 35409.export [^] (3,004 bytes) 2017-03-02 14:02

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0094685)
alostale (developer)
2017-03-02 14:02

proposal attached
(0094814)
hgbot (developer)
2017-03-08 09:33

Repository: erp/devel/pi
Changeset: e6809c9c722b67ba78e99a7e8cde24c0e8126bec
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Mar 02 14:02:04 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e6809c9c722b67ba78e99a7e8cde24c0e8126bec [^]

fixed issue 35409: add support to expose pool info as jmx bean

  Jdbc pool can be exposed as jmx by enabling it through the property
  db.pool.jmxEnabled

---
M config/Openbravo.properties.template
M modules/org.openbravo.apachejdbcconnectionpool/src/org/openbravo/apachejdbcconnectionpool/JdbcExternalConnectionPool.java
---
(0094847)
hgbot (developer)
2017-03-09 09:14

Repository: erp/devel/pi
Changeset: 55fc67ee5c756f1e025b63bc2d5d0c058f931718
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Mar 09 09:14:15 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/55fc67ee5c756f1e025b63bc2d5d0c058f931718 [^]

related to issue 35409: don't log error when registering jxm with same name

  This occurs when building system having jxm enabled.

---
M modules/org.openbravo.apachejdbcconnectionpool/src/org/openbravo/apachejdbcconnectionpool/JdbcExternalConnectionPool.java
---
(0094918)
caristu (developer)
2017-03-10 14:03

Code reviewed
(0095277)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095281)
hudsonbot (developer)
2017-03-15 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-03-02 13:54 alostale New Issue
2017-03-02 13:54 alostale Assigned To => platform
2017-03-02 13:54 alostale Modules => Core
2017-03-02 13:54 alostale Triggers an Emergency Pack => No
2017-03-02 14:02 alostale File Added: 35409.export
2017-03-02 14:02 alostale Note Added: 0094685
2017-03-08 09:32 alostale Assigned To platform => alostale
2017-03-08 09:32 alostale Review Assigned To => caristu
2017-03-08 09:33 hgbot Checkin
2017-03-08 09:33 hgbot Note Added: 0094814
2017-03-08 09:33 hgbot Status new => resolved
2017-03-08 09:33 hgbot Resolution open => fixed
2017-03-08 09:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e6809c9c722b67ba78e99a7e8cde24c0e8126bec [^]
2017-03-09 09:14 hgbot Checkin
2017-03-09 09:14 hgbot Note Added: 0094847
2017-03-10 14:03 caristu Note Added: 0094918
2017-03-10 14:03 caristu Status resolved => closed
2017-03-10 14:03 caristu Fixed in Version => 3.0PR17Q2
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095277
2017-03-15 20:21 hudsonbot Checkin
2017-03-15 20:21 hudsonbot Note Added: 0095281


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker